List workflow definitions
GET
/v1/workflow-definitionscurl -X GET 'https://api.embodiflow.io/v1/workflow-definitions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size. Default 25, maximum 100. Values above the maximum are refused.
- pageTokenstring
Opaque page token from the previous response's `nextPageToken`.
响应
Success
- dataarray<WorkflowDefinitionView>必填
- idstring必填
- codestring必填
- namestring必填
- descriptionstring | null必填
- reusableone of必填
- ownerstring必填可选值tenantplatform
- purposestring | null必填
- latestRevisionnumber | null必填
- specHashstring | null必填
- publishedAtstring | null必填
- rowVersionnumber必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- truncatedone of
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"reusable": false,
"owner": "tenant",
"purpose": "string",
"latestRevision": 0,
"specHash": "string",
"publishedAt": "string",
"rowVersion": 0
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"truncated": false,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1